# Uses of Class
com.sun.net.httpserver.Filter

Packages that use Filter
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of Filter in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return types with arguments of type Filter
Modifier and Type
Method
Description
`abstract List<Filter>`
HttpContext.`getFilters()`
Returns this context's `List` of filters.
Constructor parameters in com.sun.net.httpserver with type arguments of type Filter
Modifier
Constructor
Description
``
`Chain​(List<Filter> filters, HttpHandler handler)`
Creates a `Chain` instance with given filters and handler.